Buscar cliente
curl --request GET \
--url https://api-sandbox.fortalpay.tech/v1/customers/{uuid} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sandbox.fortalpay.tech/v1/customers/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sandbox.fortalpay.tech/v1/customers/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-sandbox.fortalpay.tech/v1/customers/{uuid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.fortalpay.tech/v1/customers/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api-sandbox.fortalpay.tech/v1/customers/{uuid}")
.header("Authorization", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.fortalpay.tech/v1/customers/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-sandbox.fortalpay.tech/v1/customers/{uuid}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "ACTIVE",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"document": "***.***.***-25",
"phone": "<string>"
},
"success": true,
"error": null
}{
"data": null,
"success": false,
"error": {
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"path": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"data": null,
"success": false,
"error": {
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"path": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"data": null,
"success": false,
"error": {
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"path": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Buscar Cliente
Recupere os detalhes de um cliente específico utilizando seu identificador.
GET
/
customers
/
{uuid}
Buscar cliente
Retorna um cliente pelo identificador público, desde que ele pertença ao merchant associado à API key e não tenha sido removido.
Esta operação aceita API keys
Exemplo de requisição
curl --request GET 'https://api-sandbox.fortalpay.tech/v1/customers/6f84d2b5-a612-4e67-8af5-69f98de980f5' \
--header 'Authorization: ApiKey <api_key>'
| Parâmetro | Local | Obrigatório | Descrição |
|---|---|---|---|
uuid | Caminho | Sim | Valor retornado no campo id durante a criação ou listagem. |
READ_ONLY e FULL_ACCESS.
Exemplo de resposta
Uma consulta bem-sucedida retorna HTTP200:
{
"data": {
"id": "6f84d2b5-a612-4e67-8af5-69f98de980f5",
"name": "Maria Silva",
"email": "maria@example.com",
"document": "***.***.***-25",
"phone": "85999999999",
"status": "ACTIVE",
"created_at": "2026-08-02T10:30:00-03:00",
"updated_at": "2026-08-02T10:30:00-03:00"
},
"success": true,
"error": null
}
Possíveis erros
| Status | Situação |
|---|---|
401 | API key ausente, inválida, revogada ou expirada. |
403 | API key sem permissão para consultar o recurso. |
404 | Cliente inexistente, removido ou pertencente a outro merchant. |
Para localizar um cliente sem conhecer o identificador, use os filtros disponíveis em Listar clientes.
Authorizations
Todas as requisições devem incluir sua API key no cabeçalho Authorization
usando o formato ApiKey <sua_api_key>. Não use o esquema Bearer.
Sem esse cabeçalho, a requisição será rejeitada.
Use fpay_sk_test_... no ambiente de teste e fpay_sk_live_... em produção.
Saiba como criar e usar uma API key.
Path Parameters
Identificador público do recurso.